> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create One Carrier

> Create a new carrier



## OpenAPI

````yaml /api-reference/openapi.json post /api/rest/carriers
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/carriers:
    post:
      tags:
        - Carriers
      summary: Create One Carrier
      description: Create a new carrier
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                input:
                  $ref: '#/components/schemas/CarriersInsertInput'
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  createCarrier:
                    description: columns and relationships of "carriers"
                    nullable: true
                    properties:
                      addressId:
                        nullable: true
                        title: String
                        type: string
                      billingAddressId:
                        nullable: true
                        title: String
                        type: string
                      cargoInsuranceExpireDate:
                        nullable: true
                        title: String
                        type: string
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      currency:
                        $ref: '#/components/schemas/CurrencyCodeEnum'
                      dotNumber:
                        nullable: true
                        title: String
                        type: string
                      email:
                        nullable: true
                        title: String
                        type: string
                      generalLiabilityInsuranceExpireDate:
                        nullable: true
                        title: String
                        type: string
                      id:
                        nullable: false
                        title: String
                        type: string
                      liabilityInsuranceExpireDate:
                        nullable: true
                        title: String
                        type: string
                      mcNumber:
                        nullable: true
                        title: String
                        type: string
                      name:
                        nullable: true
                        title: String
                        type: string
                      phone:
                        nullable: true
                        title: String
                        type: string
                      scacNumber:
                        nullable: true
                        title: String
                        type: string
                      shipmentId:
                        nullable: true
                        title: String
                        type: string
                      sourceSystem:
                        nullable: true
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: true
                        title: String
                        type: string
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                    title: Carriers
                    type: object
          description: Responses for POST /api/rest/carriers
components:
  schemas:
    CarriersInsertInput:
      description: input type for inserting data into table "carriers"
      nullable: false
      properties:
        address:
          type: object
          description: AddressesObjRelInsertInput (simplified)
        addressId:
          nullable: true
          title: String
          type: string
        addressesLastUpdatedAt:
          $ref: '#/components/schemas/timestamptz'
        aljexId:
          nullable: true
          title: String
          type: string
        billingAddressId:
          nullable: true
          title: String
          type: string
        cargoInsuranceExpireDate:
          nullable: true
          title: String
          type: string
        currency:
          $ref: '#/components/schemas/CurrencyCodeEnum'
        dotNumber:
          nullable: true
          title: String
          type: string
        email:
          nullable: true
          title: String
          type: string
        freezePay:
          nullable: true
          title: Boolean
          type: boolean
        generalLiabilityInsuranceExpireDate:
          nullable: true
          title: String
          type: string
        isOwnerOperator:
          nullable: true
          title: Boolean
          type: boolean
        isQuickpay:
          nullable: true
          title: Boolean
          type: boolean
        liabilityInsuranceExpireDate:
          nullable: true
          title: String
          type: string
        mcNumber:
          nullable: true
          title: String
          type: string
        name:
          nullable: true
          title: String
          type: string
        payToAddress:
          type: object
          description: AddressesObjRelInsertInput (simplified)
        phone:
          nullable: true
          title: String
          type: string
        scacNumber:
          nullable: true
          title: String
          type: string
        shipmentId:
          nullable: true
          title: String
          type: string
        sourceSystem:
          nullable: true
          title: String
          type: string
        sourceSystemId:
          nullable: true
          title: String
          type: string
      title: CarriersInsertInput
      type: object
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum

````